<!--
 !  Engenharia Web   
 !  Trabalho prtico
 !  Navegador de topologias OWL
 !  
 !  Realizado por:
 !    Joel Azevedo, n39083
 !    Diogo Ribeiro, n41567   
-->

<!-- Pgina de teste da phpowl -->

<html>

    <head>
        <title>PHPOWL API Test</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    </head>
    
    <body>

        <?php

            require_once "OWLReader.php";
            
            OWLReader::$DEBUG = true;
            
            // Ler a ontologia:
            $path = "../../Testes/pizza.owl"; // <- Para testar, basta colocar aqui a path do ficheiro e executar.
            $ontology = new OWLOntology();
            $reader = new OWLReader();
            $reader->loadFromFile($path, $ontology);
            
            // Inferir tudo:
            $reader->inferClassHierarchy($ontology);
            $reader->inferClassMembers($ontology);
            $reader->inferOPHierarchy($ontology);
            $reader->inferOPAssertions($ontology);
            
            // Mostrar todos os dados:
            $reader->printOntology($ontology);
        ?>
        
    </body>

</html>